set style line 3 lt 3  lw 4
set style line 1 lt 1  lw 3 
set style line 4 lt 4  lw 3

set sample 1000
h = 1.0
a = 3.0
ct = 0.0
sp = 0.01
set title "Wave in an infinite stretched string" font "Helvetica,16"

# initial conditions for a plucked string
# Note that V(x) is not the initial velocity distribution
# it is {\int^x v(x')dx'}\over c

#y0(x) = x<-a?0:x<=0?h*(x+a)/a:x<a?h*(-x+a)/a:0
#V(x) = 0

# initial conditions for a "struck" string 
y0(x) = 0
V(x) = x<0? 0:x<a?h*x/a:h


f(x) = (y0(x)-V(x))/2
g(x) = (y0(x)+V(x))/2

load 'st1.plt'
pause -1
